Skip to main content

Archive Agent

PUT/api/v1/workflow/{workflow_id}/status

Update the status of a workflow (e.g., archive/unarchive). Args: workflow_id: The ID of the workflow to update request: The status update request Returns: The updated workflow

cURL example

curl -X PUT \
  'https://app.intracord.hu/api/v1/workflow/{workflow_id}/status' \
  -H "X-API-Key: $INTRACORD_API_KEY" \
  -H 'Content-Type: application/json' \
  --data-binary @request.json

Parameters

NameLocationTypeDescription
workflow_idrequiredpathinteger
authorizationheaderobject
X-API-Keyheaderobject

Request body

application/json
View schema
{
  "properties": {
    "status": {
      "type": "string",
      "title": "Status"
    }
  },
  "type": "object",
  "required": [
    "status"
  ],
  "title": "UpdateWorkflowStatusRequest"
}

Responses

200Successful Response
application/json
View schema
{
  "properties": {
    "id": {
      "type": "integer",
      "title": "Id"
    },
    "name": {
      "type": "string",
      "title": "Name"
    },
    "status": {
      "type": "string",
      "title": "Status"
    },
    "created_at": {
      "type": "string",
      "format": "date-time",
      "title": "Created At"
    },
    "workflow_definition": {
      "additionalProperties": true,
      "type": "object",
      "title": "Workflow Definition"
    },
    "current_definition_id": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Current Definition Id"
    },
    "template_context_variables": {
      "anyOf": [
        {
          "additionalProperties": true,
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Template Context Variables"
    },
    "call_disposition_codes": {
      "anyOf": [
        {
          "$ref": "#/components/schemas/CallDispositionCodes"
        },
        {
          "type": "null"
        }
      ]
    },
    "total_runs": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Total Runs"
    },
    "workflow_configurations": {
      "anyOf": [
        {
          "additionalProperties": true,
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Workflow Configurations"
    },
    "version_number": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Version Number"
    },
    "version_status": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Version Status"
    },
    "workflow_uuid": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Workflow Uuid"
    }
  },
  "type": "object",
  "required": [
    "id",
    "name",
    "status",
    "created_at",
    "workflow_definition",
    "current_definition_id"
  ],
  "title": "WorkflowResponse"
}
404Not found
422Validation Error
application/json
View schema
{
  "properties": {
    "detail": {
      "items": {
        "$ref": "#/components/schemas/ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}